
#include <stdio.h>
#include "spnhdr.h"
#include "strmhdr.h"
#include "fstrmhdr.h"

extern int get_int () ;

typedef float  UNPACK [48] ;

static void put_site (rec, site)
UNPACK site ;
int rec [] ;
{
  int i ;

  for (i = 0; i < 24; i++)
  {
    int pair, x, y ;

    x = (int) (0x7fff * site [ 2 * i     ]) ;
    y = (int) (0x7fff * site [(2 * i) + 1]) ;

    if (x < 0) x += 0x10000 ;
    if (y < 0) y += 0x10000 ;

    pair = (y << 16) | x ;

    rec [i] = put_int (pair) ;
  }
}
  
void unconvert (data1, data2, l_time, l_space, n_repl)
int l_time, l_space, n_repl ;
FDATA *data1 ;
DATA  *data2 ;
{
  int t, x ;

  for (t = 0; t < (l_time / n_repl) ; t++)
    for (x = 0; x < l_space; x++)
    {
      UNPACK unpacked ;
      int rec [24] ;

      fdata_read_field_record (data1, unpacked) ;
      put_site (rec, unpacked) ;
      write_field_record (data2, (char *) rec) ;
    }
}

